Loading...
Searching...
No Matches
casacore::TabVecScaCol< T > Class Template Reference
tables package (libcasa_tables) » Tables_module » Tables_module_internal_classes

More...

`#include <TVecScaCol.h>`

## Public Member Functions

| TabVecScaCol (const TableColumn &column)
| Create a table vector from the given table column.
| ~TabVecScaCol ()
| Destruct the object.
rownr_t | nelem () const
| Nr of elements (ie.
T | value (rownr_t index) const
| Get a value.
void | getVal (rownr_t index, T &) const
| Get a value.
void | putVal (rownr_t index, const T &)
| Put a value.
void | set (const T &)
| Set entire vector to a value.
Public Member Functions inherited from casacore::TabVecRep< T >
| TabVecRep ()
| Create empty table vector.
virtual | ~TabVecRep ()
| Destruct the object.
uInt | ndim () const
| Get nr of dimensions.
rownr_t | nelements () const
| Get nr of elements (ie.
Bool | conform (const TabVecRep< T > &) const
| Test if vector shape conforms another table vector.
Bool | conform (const Vector< T > &) const
| Test if vector shape conforms another vector.
Bool | ok () const
| Check internal consistency.
TabVecRep< T > * | link ()
| Increments the reference count.
uInt | unlink ()
| Decrements the reference count and returns the resulting count.
TabVecTag | getTag () const
| Get the tag (the type of vector).
virtual void | assign (const TabVecRep< T > &)
| Set to another table vector.
void | validateConformance (rownr_t) const
| Check if vectors are comformant.
void * | newVec () const
| Create a new temporary vector (for result of math operations).

## Protected Attributes

ScalarColumn< T > * | colPtr_p
Protected Attributes inherited from casacore::TabVecRep< T >
uInt | count_p
TabVecTag | tag_p
Int64 | nrel_p

## Detailed Description

template<class T>
class casacore::TabVecScaCol< T >

Templated table scalar column vectors

### Intended use:

Internal

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Prerequisite

- TabVecRep

### Etymology

TabVecScaCol is the class dealing with a table vector representing a column of scalars in a table.

### Synopsis

TabVecScaCol objects are a view on a column of scalars in a table. The semantics of these table vectors are the same as the normal vectors. So for example, changing an element in the table vector means changing the corresponding field in the underlying table.

### Motivation

TabVecScaCol is derived from TabVecRep and as such it is a letter for the envelope class TableVector.

### Template Type Argument Requirements (T)

- Default constructor
- Copy constructor
- Assignment operator

Definition at line 84 of file TVecScaCol.h.

## Constructor & Destructor Documentation

## TabVecScaCol()

template<class T>

casacore::TabVecScaCol< T >::TabVecScaCol | ( | const TableColumn & | column | ) |

Create a table vector from the given table column.

This constructor is for TableVector and allows elements to be changed.

## ~TabVecScaCol()

template<class T>

casacore::TabVecScaCol< T >::~TabVecScaCol | ( |  | ) |

Destruct the object.

## Member Function Documentation

## getVal()

template<class T>

void casacore::TabVecScaCol< T >::getVal | ( | rownr_t | index,
|  | T & | ) const

virtual

Get a value.

Implements casacore::TabVecRep< T >.

## nelem()

template<class T>

rownr_t casacore::TabVecScaCol< T >::nelem | ( |  | ) | const

virtual

Nr of elements (ie.

#rows in table).

Reimplemented from casacore::TabVecRep< T >.

## putVal()

template<class T>

void casacore::TabVecScaCol< T >::putVal | ( | rownr_t | index,
|  | const T & | )

virtual

Put a value.

Implements casacore::TabVecRep< T >.

## set()

template<class T>

void casacore::TabVecScaCol< T >::set | ( | const T & |  | ) |

virtual

Set entire vector to a value.

Implements casacore::TabVecRep< T >.

## value()

template<class T>

T casacore::TabVecScaCol< T >::value | ( | rownr_t | index | ) | const

virtual

Get a value.

Implements casacore::TabVecRep< T >.

## Member Data Documentation

## colPtr_p

template<class T>

ScalarColumn<T>* casacore::TabVecScaCol< T >::colPtr_p

protected

Definition at line 115 of file TVecScaCol.h.

The documentation for this class was generated from the following file:

- tables/Tables/TVecScaCol.h